dput-ng (1.15) unstable; urgency=medium

  * Team upload.
  * Fix typo on the jessie-backports-sloppy target.  (Closes: #867245)
  * Include 'testing' in the rm-managed suites.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 31 Jul 2017 12:01:49 +0200

dput-ng (1.14) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * Add jessie-backports-sloppy and stretch-backports.
  * Mark dput-ng-doc as Multi-Arch:foreign.
  * wrap-and-sort.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * doc/man: fix some spelling errors.

  [ James Clarke ]
  * Add ports-master profile. (Closes: #855154)

  [ Stephan Sürken ]
  * dput/uploaders/ftp.py: Parse and use optional [:port] part for fqdn.
    (Closes: #814440)

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 20 Jun 2017 12:38:09 +0200

dput-ng (1.13) unstable; urgency=medium

  * Team upload.

  [ Julien Cristau ]
  * Switch host for security uploads to ftp.security.upload.debian.org.
    (Closes: #863349)

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 30 May 2017 18:41:14 +0200

dput-ng (1.12) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS.
    The ubuntu release 'precise' had its EOL on 2017-04-26, therefore
    this package FTBFS after this date. Now we're using the latest
    LTS release 'xenial' with an EOL on 2021-04-21. (Closes: #861467)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 02 May 2017 23:02:26 +0200

dput-ng (1.11) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Team upload.
  * Use https for Vcs-Git
  * Fix stray ' in dput manpage.
    Thanks to Jakub Wilk <jwilk@debian.org> (Closes: #823926)
  * Add {jessie,stretch,buster,bullseye}-proposed-updates (Closes: #724525)
  * Fix manpage for dcut allow/deny syntax.
    Thanks to Wookey <wookey@debian.org> (Closes: #741966)
  * Simplify sed script and include emails
  * Update list of authors
  * Use debhelper v10
  * Use Standards-Version 3.9.8, no changes needed
  * Add dh-python to Build-Depends

  [ Vincent Bernat ]
  * Add {wheezy,squeeze}-backports-sloppy suites. (Closes: #798688)
  * Handle duplicate fingerprints in the DM keyring.

  [ Mattia Rizzolo ]
  * debian/control: use https and the cgit web frontend for Vcs-Browser

  [ Salvatore Bonaccorso ]
  * Correct long form option for file to upload in various subcommands.
    The manpage stated that --filename=FILENAME was the long form option for
    various subcommands, whereas the code expected --file. Adjust the
    documentation.
    Thanks to Colin Tuckley <colint@debian.org> (Closes: #819582)
  * Add support for future known codenames (stretch, buster, bullseye)

  [ Luca Capello ]
  * Add python-paramiko to Recommends for scp/sftp (Closes: #796868)

  [ Stephan Sürken ]
  * dput/uploader.py: Make -u/--unchecked switch work. (Closes: #808554)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 27 Nov 2016 14:04:24 +0100

dput-ng (1.10) unstable; urgency=medium

  * The "Goodbyte python-support" release

  [ Dr. Tobias Quathamer ]
  * Add jessie to list of Debian codenames (Closes: #788739).

  [ Luca Falavigna ]
  * Add support for Deb-o-Matic kill command.
  * Fix metavars for Deb-o-Matic binnmu command.

  [ Paul Tagliamonte]
  * Remove the check-debs check from the Debian profiles. (Closes: #757931)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 18 Aug 2015 18:06:53 +0200

dput-ng (1.9) unstable; urgency=medium

  * The "< jessfraz> ya!!!! jessie FTW" release

  [ Sebastian Ramacher ]
  * Remove obsolete conffile /etc/dput.d/profiles/backports.json. Thanks to
    Jakub Wilk for spotting the obsolete conffile.

  [ Luca Falavigna ]
  * Add support for Deb-o-Matic binnmu command.

  [ Tristan Seligmann ]
  * Add jessie-backports to list of Debian codenames (closes: #783746).

 -- Paul Tagliamonte <paultag@debian.org>  Wed, 29 Apr 2015 21:29:13 -0400

dput-ng (1.8) unstable; urgency=low

  * The "There is no sin except stupidity" release

  [Sebastian Ramacher]
  * Fix handling of IdentiyFile in sftp uploader. paramiko 1.10 fixed the
    parsing of IdentityFile and now always gives a list. (Closes: #718011)
  * sftp: Check if incoming directory exists before uploading. (Closes:
    #735784)

  [Paul Tagliamonte]
  * Add lots of spew to dcut when it fails to find the local DM key explaining
    exactly why it might not be there, and a hint as to where to look.
    (Closes: 740665), Thank you, mika!
  * Add a new -S / --save flag to save the dcut output before we sent it to
    ftp-master. (Closes: 740663). Thanks to (the one, the only!) Jakub Wilk.

  [ Scott Kitterman ]
  * Drop trailing "/ubuntu" from ppa stanza, to support the new form of the
    upload path needed for PPAs based on derived distributions.  Also switch
    ubuntu stanza to upload to "/ubuntu" rather than "/" (Closes: #754527)
    (LP: #1340130)
    -  Changes shamelessly cribbed from Colin Watson's dput update

 -- Paul Tagliamonte <paultag@debian.org>  Thu, 11 Sep 2014 15:58:10 -0400

dput-ng (1.7) unstable; urgency=low

  * The "Get two birds stoned at once." release

  [ Paul Tagliamonte ]
  * Fix up default host argument. This caused the first block with the
    default_host_main argument set to be considered the default host, rather
    than the value of default_host_main. (Closes: #729280)
  * Add experimental support for `dud` files, for Debile.

  [ Arno Töll ]
  * Be more explicit how to override dcut dm's UID check

 -- Paul Tagliamonte <paultag@debian.org>  Thu, 14 Nov 2013 09:20:03 -0500

dput-ng (1.6) unstable; urgency=low

  * The "Well, shit, release names are hard too" release

  [ Paul Tagliamonte ]
  * Add BYHAND handling. (Closes: #719975)
  * Change default profile to "boring" rather than "debian". This caused
    non-Debian targets to target Debian codenames.
    Which sucks. (Closes: #718384)

  [ James Page ]
  * Add in codenames for Ubuntu. (Closes: #714103)

  [ Luca Falavigna ]
  * Fix path of local profiles in bash-completion script.
  * Install dput.commands.contrib package.
  * Add bash completion for dcut.
  * Add support for Deb-o-Matic builddep command.

 -- Paul Tagliamonte <paultag@debian.org>  Sun, 08 Sep 2013 14:47:51 -0400

dput-ng (1.5) unstable; urgency=low

  * The "Command line flags are hard" release

  [ Paul Tagliamonte ]
  * Add per-host loading of command files by partially parsing command
    line arguments.
  * Add disallowed_distributions.
  * Apply a file name heuristic to tell whether a positional is a host or a
    target (Closes: #710150).
  * Add codename groups to vital targets, limit security uploads
    to the right servers (Closes: #708575).

  [ Luca Falavigna ]
  * Implement dcut commands for Deb-o-Matic.

  [ Bernhard R. Link ]
  * Reimplement the SFTP uploader <explain details here>

  [ Arno Töll ]
  * Be more precise about our configuration file inheritance in dput(5).
  * Fix "dcut: manpage and --help talk about -U and --upload" by replacing those
    parts in the text by the 'upload' command (Closes: #699812)
  * Make the login name determination more portable (Closes: #709831)
  * Fix "Allow to give out dm permissions without using local keyring" by
  * documenting the --force option in the man page (Closes: #711057)

  [ Wolodja Wentland ]
  * Allow uploads to mentors to target every distribution

  [ Sebastian Ramacher ]
  * Add a space in --debug's help message.

  [ Thomas Preud'homme ]
  * Fixed a typo (DEBNAME → DEBFULLNAME) in the dcut(1) manpage.

 -- Paul Tagliamonte <paultag@debian.org>  Thu, 20 Jun 2013 21:10:33 -0400

dput-ng (1.4) unstable; urgency=low

  * The "Wait, what was so bad about SCP, again?" release

  [ Arno Töll ]
  * Really fix #696659 by making sure the command line tool uses the most recent
    version of the library.
  * Mark several fields to be required in profiles (incoming, method)
  * Fix broken tests.
  * Do not run the check-debs hook in our mentors.d.n profile
  * Fix "[dcut] dm bombed out" by using the profile key only when defined
    (Closes: #698232)
  * Parse the gecos field to obtain the user name / email address from the local
    system when DEBFULLNAME and DEBEMAIL are not set.
  * Fix "dcut reschedule sends "None-day" to ftp-master if the delay is
    not specified" by forcing the corresponding parameter (Closes: #698719)

  [ Luca Falavigna ]
  * Implement default_keyid option. This is particularly useful with multiple
    GPG keys, so dcut is aware of which one to use.
  * Make scp uploader aware of "port" configuration option.

  [ Paul Tagliamonte ]
  * Hack around Launchpad's SFTP implementation. We musn't stat *anything*.
    "Be vewy vewy quiet, I'm hunting wabbits" (Closes: #696558).
  * Rewrote the test suite to actually test the majority of the codepaths we
    take during an upload. Back up to 60%.
  * Added a README for the twitter hook, Thanks to Sandro Tosi for the bug,
    and Gergely Nagy for poking me about it. (Closes: #697768).
  * Added a doc for helping folks install hooks into dput-ng (Closes: #697862).
  * Properly remove DEFAULT from loadable config blocks. (Closes: #698157).
  * Allow upload of more then one file. Thanks to Iain Lane for the
    suggestion. (Closes: #698855).

  [ Bernhard R. Link ]
  * allow empty incoming dir to upload directly to the home directory

  [ Sandro Tosi ]
  * Install example hooks (Closes: #697767).

 -- Arno Töll <arno@debian.org>  Tue, 29 Jan 2013 21:50:13 +0100

dput-ng (1.3) unstable; urgency=low

  * The "we're so proud of our work, we need to let everyone know" release

  [ Paul Tagliamonte ]
  * Avoid failing on upload if a pre/post upload hook is missing from the
    Filesystem. Thanks to Moritz Mühlenhoff for the report. (Closes: #696659)
  * Adjust Homepage: to point to our spiffy debian.net alias, rather then
    my people.debian.
  * Add in experiemental clojure support via clojurepy hackery. It's
    amazingly cool, really. Thanks to Paul Tagliamonte for the extremely
    nice patch. Well done.

  [ Arno Töll ]
  * Fix "dcut raises FtpUploadException" by correctly initializing the uploader
    classes from dcut (Closes: #696467)

 -- Paul Tagliamonte <paultag@debian.org>  Wed, 26 Dec 2012 09:30:06 -0500

dput-ng (1.2) unstable; urgency=low

  * The "Well you're smoking with the patch on." release

  [ Salvatore Bonaccorso ]
  * Add bash completions for dput-ng (Closes: #695412).
    + Add bash completions for dput-ng based on traditional dput
      package.
    + Add bash-completion to Build-Depends and Recommends.
    + Use bash-completion Debhelper addon to install the bash
      completions.

  [ Paul Tagliamonte ]
  * Hijacking the package (set maintainer to our new alioth list. Thanks,
    alioth maintainers!)
  * Add in a script to set the default profile depending on the building
    distro. (debian/rules, debian/bin/adjust-vendor)
  * Fix a bug where meta-class info won't be loaded if the config file has the
    same name.
  * Add an Ubuntu upload target. Thanks to Benjamin Drung for the
    suggestion, and Jeremy for the bug. (Closes: #695490)
  * Drop the hard dependency on validictory. Thanks to Jakub Wilk for
    the patch. (Closes: #695516)
  * Added .udeb detection to the check debs hook.

  [ Arno Töll ]
  * Catch the correct exception falling out of bin/dcut
  * Fix the dput manpages to use --uid rather then the old --dm flag.
  * Fix the CLI flag registration by setting required=True
    in cancel and upload.
  * Move make_delayed_upload above the logging call for sanity's sake.
  * Fix "connects to the host even with -s" (Closes: #695347)
    Arguably we did so as a design decision, but I can see how this confuses
    people. Hence, do not establish a network connection anymore using the
    -s(imulation) mode, unless -s was specified twice (-ss)
    + While I was on it, do so for -o (check-only) uploads as well
  * More distro mappings for check_protected_distributions.

 -- Arno Töll <arno@debian.org>  Thu, 13 Dec 2012 17:11:27 +0100

dput-ng (1.1) unstable; urgency=low

  * The "monday afternoon's a rather awkward day to get so drunk" release

  [ Arno Töll ]
  * Clarify copyight for dput/changes.py: It's MIT, not GPL
  * Install dput.cf(5) to the correct man page directory.
  * Fix a bunch of grammar and Python styling issues - thanks to Jakub Wilk
    for the pointers.
  * Fix "FTBFS: a2x call -> missing build dependency on docbook-xsl" add
    docbook-xsl to the build dependencies. Thanks gregoa for spotting it and
    providing a fix (Closes: #694983)

  [ Ansgar Burchardt ]
  * debian/control: Add Vcs-{Browser,Git} fields.
  * debian/control: Conflicts: dput instead of Breaks.
  * debian/control: Don't use hyphens in the package description.

  [ Paul Tagliamonte ]
  * debian/copyright: move to DEP5.
  * debian/control: remove senseless multiarch tags
  * debian/control: add Homepage
  * debian/control: since we conflict with dput-old, mark this as priority
    extra.
  * other random pythonic fixes pointed out by Jakub.
     + pep8'd `klass' to `cls'
     + clean the .coverage file
     + remove the except:\n\tpass

 -- Paul Tagliamonte <paultag@debian.org>  Tue, 04 Dec 2012 09:19:39 -0500

dput-ng (1.0) unstable; urgency=low

  * Initial release (Closes: #691624)

 -- Arno Töll <arno@debian.org>  Mon, 26 Nov 2012 17:41:41 +0100
